# -*- coding: utf-8 -*-
from django.contrib import admin
from coin.billing.models import Invoice, InvoiceDetail, Payment
import autocomplete_light


class InvoiceDetailInline(admin.StackedInline):
    model = InvoiceDetail
    extra = 0
    fields = (('label','amount','quantity','tax','offer'),)


class PaymentInline(admin.StackedInline):
    model = Payment
    extra = 0
    fields = (('date','payment_mean','amount'),)


class InvoiceAdmin(admin.ModelAdmin):
    inlines = [InvoiceDetailInline, PaymentInline]


admin.site.register(Invoice,InvoiceAdmin)